This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 499352

Summary: Re-enable CONFIG_DMAR_DEFAULT_ON
Product: [Fedora] Fedora Reporter: Mark McLoughlin <markmc>
Component: kernelAssignee: Kyle McMartin <kmcmartin>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: 11CC: dwmw2, itamar, kernel-maint, peterm, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-21 07:45:46 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 490477    
Bug Blocks: 513462, 498969    

Description Mark McLoughlin 2009-05-06 06:26:20 EDT
I've just noticed this:

* Tue Mar 24 2009 Kyle McMartin <kyle@redhat.com>
- Disable DMAR by default until suspend & resume is fixed.

Later, we had this:

* Fri Apr 10 2009 David Woodhouse <David.Woodhouse@intel.com>
- Fix suspend/resume with Intel IOMMU, handle devices behind PCI-PCI
  bridges, cope with BIOS claiming IOMMU is at address zero.

Should we re-enable it be default again?

For reference, this is needed for https://fedoraproject.org/wiki/Features/KVM_PCI_Device_Assignment - without CONFIG_DMAR_DEFAULT_ON people need to boot with "intel_iommu=on" in order to use device assignment
Comment 1 Chuck Ebbert 2009-05-07 00:48:58 EDT
I don't think we have nearly all the DMAR fixes that have gone into 2.6.30. (A few just got merged in the last few days.)
Comment 2 Mark McLoughlin 2009-05-07 05:34:40 EDT
Adding a known intel_iommu lockup as a dependency
Comment 3 David Woodhouse 2009-05-07 07:10:06 EDT
(In reply to comment #1)
> I don't think we have nearly all the DMAR fixes that have gone into 2.6.30. (A
> few just got merged in the last few days.)  

We should have everything that's needed. What do you think is missing?
Comment 4 Bug Zapper 2009-06-09 11:14:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Mark McLoughlin 2009-08-10 09:38:04 EDT
How are we looking for enabling this in F-12?
Comment 6 David Woodhouse 2009-08-10 10:06:48 EDT
Good, I think. I have some more BIOS workarounds which I can drop in now and re-enable it...
Comment 7 David Woodhouse 2009-08-10 10:28:18 EDT
OK, it's enabled. I'd quite like to drop the BROKEN_GFX_WA option too, but let's take things one step at a time...
Comment 8 Mark McLoughlin 2009-08-21 07:45:46 EDT
* Mon Aug 10 2009 David Woodhouse <David.Woodhouse@intel.com> 2.6.31-0.145.rc5.git3
- Merge latest Intel IOMMU fixes and BIOS workarounds, re-enable by default.